<?php
        Getsecurity("inventorybb_group_barang");

         if($_REQUEST['ajax']) {
            switch($_REQUEST['code']) {
                case "transno":
                  if(RetRstField("SELECT fnid FROM tlstock_group_bahan_baku WHERE ftstock_group_code='{$_REQUEST['fttrans_no']}'")) {
                      ?>

                      alert('Kode Type sudah dipakai... ');
                <?php
                  }
                  else {
                        ?>


                      submitbutton('Simpan','','','','');

                <?php
                  }
                break;
            }       
            die("");
        }
        
        $objAxpDB->ViewName("Daftar Group Barang Bahan Baku");
        //$objAxpDB->ViewTable("vINGroup_Barang");
        $objAxpDB->ViewSQL("SELECT a.fnid, a.ftstock_group_code, a.ftstock_group_name ,a.ftparent_code as ftparent
                                FROM tlstock_group_bahan_baku  a
                                ORDER BY a.ftstock_group_code,a.ftstock_group_name");
        $objAxpDB->ViewCaption("ID, Kode Group Barang, Nama Group Barang,Parent Group");

        $objAxpDB->FormName("Group Barang Bahan Baku");
        $objAxpDB->FormSQL("SELECT  ftstock_group_code, ftstock_group_name,ftparent_code, fnlevel,ftwarehouse_default FROM tlstock_group_bahan_baku");
        $objAxpDB->FormCaption(" Kode Group Barang,Nama Group Barang, Group Induk, Level, Default Gudang");
        $objAxpDB->FormScript(2, "onChange=\"ajax_do('query2.php?code=bb_stock_group&obj1=' + this.value + '&obj2=fnlevel');\"");
             
        $objAxpDB->Lookup("ftparent_code", "SELECT ftstock_group_code, ftstock_group_name FROM tlstock_group_bahan_baku GROUP BY fnlevel, ftstock_group_code, ftstock_group_name ORDER BY ftstock_group_code ", "ftstock_group_code", "ftstock_group_name", -1,true);
        
        $objAxpDB->FormPosition("TL, TL, TL,HD, HD");
        $objAxpDB->SetStatus("id");                        
        if ($objAxpDB->GetStatus("id") == "") {
                $objAxpDB->ButtonShow("baru,  cetak_daftar, tutup");
                #$objAxpDB->ButtonShow(" cetak_daftar, export_excel , tutup");
        }
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->ButtonShow("reset, simpan, tutup");
                $objAxpDB->FormLocked("0,0,0,0,1,0,0");
                
        }
        elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->ButtonShow("update, hapus, tutup"); 
                $objAxpDB->FormLocked("1, 0,0, 0");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
			
?>
